Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar30
Class RelationshipsTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar30.RelationshipsTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, RelationshipsType<T>

    public class RelationshipsTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, RelationshipsType<T>

This class implements the `relationshipsType` xsd type

Original Documentation:

The relationshipsType describes the relationships in
which entity beans with container-managed persistence
participate. The relationshipsType contains an optional
description; and a list of ejb-relation elements, which
specify the container managed relationships.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`RelationshipsTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`RelationshipsTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`EjbRelationType<RelationshipsType<T>>` | `ejbRelation()` Returns the `ejb-relation` element
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<EjbRelationType<RelationshipsType<T>>>` | `getEjbRelationList()` Returns all `ejb-relation` elements
`RelationshipsType<T>` | `removeAllDescription()` Removes the `description` element
`RelationshipsType<T>` | `removeAllEjbRelation()` Removes all `ejb-relation` elements
`RelationshipsType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`RelationshipsType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationshipsTypeImpl

    public RelationshipsTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node)

### RelationshipsTypeImpl

    public RelationshipsTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node,
                                 org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public RelationshipsType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `RelationshipsType<T>`
  Returns:
    the current instance of `RelationshipsType`

### setDescriptionList

    public RelationshipsType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `RelationshipsType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `RelationshipsType`

### removeAllDescription

    public RelationshipsType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `RelationshipsType<T>`
  Returns:
    the current instance of `RelationshipsType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `RelationshipsType<T>`
  Returns:
    list of `description`

### removeAllEjbRelation

    public RelationshipsType<T> removeAllEjbRelation()

  Removes all `ejb-relation` elements

  Specified by:
    `removeAllEjbRelation` in interface `RelationshipsType<T>`
  Returns:
    the current instance of `RelationshipsType`

### ejbRelation

    public EjbRelationType<RelationshipsType<T>> ejbRelation()

  Returns the `ejb-relation` element

  Specified by:
    `ejbRelation` in interface `RelationshipsType<T>`
  Returns:
    the node defined for the element `ejb-relation`

### getEjbRelationList

    public java.util.List<EjbRelationType<RelationshipsType<T>>> getEjbRelationList()

  Returns all `ejb-relation` elements

  Specified by:
    `getEjbRelationList` in interface `RelationshipsType<T>`
  Returns:
    list of `ejb-relation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD